
select 
  studylocationsubgraph.surveyname, 
  studylocationsubgraph.aekosidentifier, 
  studylocationsubgraph.studylocationidentifiervalue, 
  spatialpoint.x, 
  spatialpoint.y, 
  spatialpoint.zone, 
  coordinatereferencesystem.name as crs, 
  studylocationvisitsubgraph.visitdate,
  '' as canopycover, 
  coverabundancecategory.name as coverabundance,
  speciesconcept.name, 
  speciesconcept.genuspart, 
  speciesconcept.specificepithet
FROM 
  public.samplingunitsubgraph, 
  public.studylocationsubgraph, 
  public.studylocationvisitsubgraph, 
  public.vct_samplingunitsubgraph_samplingunitsubgraph, 
  public.vct_studylocationvisitsubgraph_studylocationvisitsubgraph, 
  public.vct_speciesorganismgroup_speciesorganismgroup, 
  public.speciesorganismgroup, 
  public.speciesconceptvalue, 
  public.speciesconcept, 
  public.spatialpoint, 
  public.coordinatereferencesystem,
    public.vegetationcovervalue, 
  public.coverabundancecategory
  
WHERE 
  studylocationsubgraph.studylocationvisitsubgraph = vct_studylocationvisitsubgraph_studylocationvisitsubgraph._nuk_id AND
  studylocationsubgraph.coordinates = spatialpoint._pk_id AND
  studylocationvisitsubgraph.samplingunitsubgraph = vct_samplingunitsubgraph_samplingunitsubgraph._nuk_id AND
  vct_samplingunitsubgraph_samplingunitsubgraph.samplingunitsubgraph = samplingunitsubgraph._pk_id AND
  vct_studylocationvisitsubgraph_studylocationvisitsubgraph.studylocationvisitsubgraph = studylocationvisitsubgraph._pk_id AND
  vct_speciesorganismgroup_speciesorganismgroup.speciesorganismgroup = speciesorganismgroup._pk_id AND
  vct_speciesorganismgroup_speciesorganismgroup._nuk_id = samplingunitsubgraph.speciesorganismgroup AND
  speciesorganismgroup.determinedspeciesconcept = speciesconceptvalue._pk_id AND
  speciesconceptvalue.species = speciesconcept._pk_id AND
  spatialpoint.crs = coordinatereferencesystem._pk_id and
  (speciesorganismgroup.cover=vegetationcovervalue._pk_id
and
vegetationcovervalue.aekos_range = coverabundancecategory._pk_id)
  and
  (
  speciesconcept.genuspart='Acrachne' or
speciesconcept.genuspart='Acroceras' or
speciesconcept.genuspart='Agrostis' or
speciesconcept.genuspart='Aira' or
speciesconcept.genuspart='Airopsis' or
speciesconcept.genuspart='Alexfloydia' or
speciesconcept.genuspart='Alloteropsis' or
speciesconcept.genuspart='Alopecurus' or
speciesconcept.genuspart='Amelichloa' or
speciesconcept.genuspart='Ammophila' or
speciesconcept.genuspart='Amphibromus' or
speciesconcept.genuspart='Amphipogon' or
speciesconcept.genuspart='Ancistrachne' or
speciesconcept.genuspart='Andropogon' or
speciesconcept.genuspart='Anisopogon' or
speciesconcept.genuspart='Anthoxanthum' or
speciesconcept.genuspart='Apera' or
speciesconcept.genuspart='Apluda' or
speciesconcept.genuspart='Aristida' or
speciesconcept.genuspart='Arrhenatherum' or
speciesconcept.genuspart='Arthragrostis' or
speciesconcept.genuspart='Arthraxon' or
speciesconcept.genuspart='Arundinaria' or
speciesconcept.genuspart='Arundinella' or
speciesconcept.genuspart='Arundo' or
speciesconcept.genuspart='Astrebla' or
speciesconcept.genuspart='Australopyrum' or
speciesconcept.genuspart='Austrochloris' or
speciesconcept.genuspart='Austroderia' or
speciesconcept.genuspart='Austrostipa' or
speciesconcept.genuspart='Avellinia' or
speciesconcept.genuspart='Avena' or
speciesconcept.genuspart='Axonopus' or
speciesconcept.genuspart='Bambusa' or
speciesconcept.genuspart='Bothriochloa' or
speciesconcept.genuspart='Brachyachne' or
speciesconcept.genuspart='Brachypodium' or
speciesconcept.genuspart='Briza' or
speciesconcept.genuspart='Bromus' or
speciesconcept.genuspart='Calyptochloa' or
speciesconcept.genuspart='Capillipedium' or
speciesconcept.genuspart='Catapodium' or
speciesconcept.genuspart='Cenchrus' or
speciesconcept.genuspart='Centotheca' or
speciesconcept.genuspart='Chamaeraphis' or
speciesconcept.genuspart='Chimonobambusa' or
speciesconcept.genuspart='Chionachne' or
speciesconcept.genuspart='Chionochloa' or
speciesconcept.genuspart='Chloris' or
speciesconcept.genuspart='Chrysopogon' or
speciesconcept.genuspart='Clausospicula' or
speciesconcept.genuspart='Cleistochloa' or
speciesconcept.genuspart='Coelachne' or
speciesconcept.genuspart='Coix' or
speciesconcept.genuspart='Cortaderia' or
speciesconcept.genuspart='Corynephorus' or
speciesconcept.genuspart='Crypsis' or
speciesconcept.genuspart='Cymbopogon' or
speciesconcept.genuspart='Cynodon' or
speciesconcept.genuspart='Cynosurus' or
speciesconcept.genuspart='Cyperochloa' or
speciesconcept.genuspart='Cyrtococcum' or
speciesconcept.genuspart='Dactylis' or
speciesconcept.genuspart='Dactyloctenium' or
speciesconcept.genuspart='Dallwatsonia' or
speciesconcept.genuspart='Danthonia' or
speciesconcept.genuspart='Deschampsia' or
speciesconcept.genuspart='Desmostachya' or
speciesconcept.genuspart='Deyeuxia' or
speciesconcept.genuspart='Dichanthium' or
speciesconcept.genuspart='Dichelachne' or
speciesconcept.genuspart='Digitaria' or
speciesconcept.genuspart='Dimeria' or
speciesconcept.genuspart='Dinebra' or
speciesconcept.genuspart='Distichlis' or
speciesconcept.genuspart='Dryopoa' or
speciesconcept.genuspart='Echinochloa' or
speciesconcept.genuspart='Echinopogon' or
speciesconcept.genuspart='Ectrosia' or
speciesconcept.genuspart='Ehrharta' or
speciesconcept.genuspart='Eleusine' or
speciesconcept.genuspart='Elionurus' or
speciesconcept.genuspart='Elymus' or
speciesconcept.genuspart='Elytrigia' or
speciesconcept.genuspart='Elytrophorus' or
speciesconcept.genuspart='Enneapogon' or
speciesconcept.genuspart='Enteropogon' or
speciesconcept.genuspart='Entolasia' or
speciesconcept.genuspart='Eragrostiella' or
speciesconcept.genuspart='Eragrostis' or
speciesconcept.genuspart='Eremochloa' or
speciesconcept.genuspart='Eriachne' or
speciesconcept.genuspart='Eriochloa' or
speciesconcept.genuspart='Eulalia' or
speciesconcept.genuspart='Eustachys' or
speciesconcept.genuspart='Festuca' or
speciesconcept.genuspart='Garnotia' or
speciesconcept.genuspart='Gastridium' or
speciesconcept.genuspart='Gaudinia' or
speciesconcept.genuspart='Germainia' or
speciesconcept.genuspart='Glyceria' or
speciesconcept.genuspart='Hainardia' or
speciesconcept.genuspart='Hemarthria' or
speciesconcept.genuspart='Hemigymnia' or
speciesconcept.genuspart='Heterachne' or
speciesconcept.genuspart='Heteropogon' or
speciesconcept.genuspart='Hierochloe' or
speciesconcept.genuspart='Holcolemma' or
speciesconcept.genuspart='Megathyrsus' or
speciesconcept.genuspart='Melica' or
speciesconcept.genuspart='Melinis' or
speciesconcept.genuspart='Micraira' or
speciesconcept.genuspart='Microchloa' or
speciesconcept.genuspart='Microlaena' or
speciesconcept.genuspart='Microstegium' or
speciesconcept.genuspart='Miscanthus' or
speciesconcept.genuspart='Mnesithea' or
speciesconcept.genuspart='Molineriella' or
speciesconcept.genuspart='Monachather' or
speciesconcept.genuspart='Monodia' or
speciesconcept.genuspart='Moorochloa' or
speciesconcept.genuspart='Mullerochloa' or
speciesconcept.genuspart='Nardus' or
speciesconcept.genuspart='Nassella' or
speciesconcept.genuspart='Neololeba' or
speciesconcept.genuspart='Neurachne' or
speciesconcept.genuspart='Notochloe' or
speciesconcept.genuspart='Ophiuros' or
speciesconcept.genuspart='Oplismenus' or
speciesconcept.genuspart='Oryza' or
speciesconcept.genuspart='Ottochloa' or
speciesconcept.genuspart='Oxychloris' or
speciesconcept.genuspart='Panicum' or
speciesconcept.genuspart='Paractaenum' or
speciesconcept.genuspart='Paraneurachne' or
speciesconcept.genuspart='Parapholis' or
speciesconcept.genuspart='Paspalidium' or
speciesconcept.genuspart='Paspalum' or
speciesconcept.genuspart='Pentameris' or
speciesconcept.genuspart='Pentapogon' or
speciesconcept.genuspart='Pentaschistis' or
speciesconcept.genuspart='Perotis' or
speciesconcept.genuspart='Phalaris' or
speciesconcept.genuspart='Pheidochloa' or
speciesconcept.genuspart='Phleum' or
speciesconcept.genuspart='Phragmites' or
speciesconcept.genuspart='Phyllostachys' or
speciesconcept.genuspart='Piptatherum' or
speciesconcept.genuspart='Piptochaetium' or
speciesconcept.genuspart='Plinthanthesis' or
speciesconcept.genuspart='Poa' or
speciesconcept.genuspart='Pogonatherum' or
speciesconcept.genuspart='Polypogon' or
speciesconcept.genuspart='Polytrias' or
speciesconcept.genuspart='Potamophila' or
speciesconcept.genuspart='Psammagrostis' or
speciesconcept.genuspart='Pseudochaetochloa' or
speciesconcept.genuspart='Pseudopogonatherum' or
speciesconcept.genuspart='Pseudoraphis' or
speciesconcept.genuspart='Psilurus' or
speciesconcept.genuspart='Puccinellia' or
speciesconcept.genuspart='Rostraria' or
speciesconcept.genuspart='Rottboellia' or
speciesconcept.genuspart='Rytidosperma' or
speciesconcept.genuspart='Saccharum' or
speciesconcept.genuspart='Sacciolepis' or
speciesconcept.genuspart='Saxipoa' or
speciesconcept.genuspart='Schismus' or
speciesconcept.genuspart='Schizachyrium' or
speciesconcept.genuspart='Sclerochloa' or
speciesconcept.genuspart='Scrotochloa' or
speciesconcept.genuspart='Secale' or
speciesconcept.genuspart='Sehima' or
speciesconcept.genuspart='Setaria' or
speciesconcept.genuspart='Sorghastrum' or
speciesconcept.genuspart='Sorghum' or
speciesconcept.genuspart='Spartina' or
speciesconcept.genuspart='Spartochloa' or
speciesconcept.genuspart='Spathia' or
speciesconcept.genuspart='Sphenopus' or
speciesconcept.genuspart='Spinifex' or
speciesconcept.genuspart='Sporobolus' or
speciesconcept.genuspart='Steinchisma' or
speciesconcept.genuspart='Stenotaphrum' or
speciesconcept.genuspart='Sylvipoa' or
speciesconcept.genuspart='Symplectrodia' or
speciesconcept.genuspart='Taeniatherum' or
speciesconcept.genuspart='Tetrarrhena' or
speciesconcept.genuspart='Thaumastochloa' or
speciesconcept.genuspart='Thedachloa' or
speciesconcept.genuspart='Thelepogon' or
speciesconcept.genuspart='Thellungia' or
speciesconcept.genuspart='Themeda' or
speciesconcept.genuspart='Thinopyrum' or
speciesconcept.genuspart='Thuarea' or
speciesconcept.genuspart='Thyridolepis' or
speciesconcept.genuspart='Tragus' or
speciesconcept.genuspart='Tribolium' or
speciesconcept.genuspart='Triodia' or
speciesconcept.genuspart='Tripogon' or
speciesconcept.genuspart='Triraphis' or
speciesconcept.genuspart='Trisetum' or
speciesconcept.genuspart='Triticum' or
speciesconcept.genuspart='Uranthoecium' or
speciesconcept.genuspart='Urochloa' or
speciesconcept.genuspart='Vulpia' or
speciesconcept.genuspart='Walwhalleya' or
speciesconcept.genuspart='Whiteochloa' or
speciesconcept.genuspart='x Cynochloris' or
speciesconcept.genuspart='Xerochloa' or
speciesconcept.genuspart='Yakirra' or
speciesconcept.genuspart='Zea' or
speciesconcept.genuspart='Zoysia' or
speciesconcept.genuspart='Zuloagaea' or
speciesconcept.genuspart='Zygochloa' )