﻿SELECT 
  studylocationsubgraph.surveyname, 
  studylocationsubgraph.aekosidentifier, 
  studylocationsubgraph.studylocationidentifier, 
  spatialpoint.x, 
  spatialpoint.y, 
  spatialpoint.zone, 
  coordinatereferencesystem.name as crs, 
  studylocationvisitsubgraph.visitdate,  
  vegetationcovervalue.value as vegetationcover, 
  speciesconcept.name, 
  speciesconcept.genuspart, 
  speciesconcept.specificepithet
FROM 
  public.studylocationvisitsubgraph, 
  public.studylocationsubgraph, 
  public.samplingunitsubgraph, 
  public.vct_studylocationvisitsubgraph_studylocationvisitsubgraph, 
  public.vct_samplingunitsubgraph_samplingunitsubgraph, 
  public.vct_speciesorganismgroup_speciesorganismgroup, 
  public.speciesorganismgroup, 
  public.studylocation, 
  public.locationvalue, 
  public.spatialpoint, 
  public.coordinatereferencesystem, 
  public.speciesconcept, 
  public.speciesconceptvalue, 
  public.basalareacountvalue, 
  public.basalareavalue, 
  public.basalareafactorvalue, 
  public.vegetationcovervalue, 
  public.stratumvalue, 
  public.relativeabundancevalue, 
  public.stratum
WHERE 
  studylocationvisitsubgraph.samplingunitsubgraph = vct_samplingunitsubgraph_samplingunitsubgraph._nuk_id AND
  studylocationsubgraph.studylocationvisitsubgraph = vct_studylocationvisitsubgraph_studylocationvisitsubgraph._nuk_id AND
  studylocationsubgraph.studylocation = studylocation._pk_id AND
  samplingunitsubgraph.speciesorganismgroup = vct_speciesorganismgroup_speciesorganismgroup._nuk_id AND
  vct_studylocationvisitsubgraph_studylocationvisitsubgraph.studylocationvisitsubgraph = studylocationvisitsubgraph._pk_id AND
  vct_samplingunitsubgraph_samplingunitsubgraph.samplingunitsubgraph = samplingunitsubgraph._pk_id AND
  vct_speciesorganismgroup_speciesorganismgroup.speciesorganismgroup = speciesorganismgroup._pk_id AND
  speciesorganismgroup.basalareacount = basalareacountvalue._pk_id AND
  speciesorganismgroup.basalarea = basalareavalue._pk_id AND
  speciesorganismgroup.canopycover = vegetationcovervalue._pk_id AND
  speciesorganismgroup.relativeabundance = relativeabundancevalue._pk_id AND
  speciesorganismgroup.stratum = stratumvalue._pk_id AND
  studylocation.location = locationvalue._pk_id AND
  locationvalue.sampledpoint = spatialpoint._pk_id AND
  spatialpoint.crs = coordinatereferencesystem._pk_id AND
  speciesconceptvalue._pk_id = speciesorganismgroup.fieldspeciesconcept AND
  speciesconceptvalue.species = speciesconcept._pk_id AND
  basalareafactorvalue._pk_id = speciesorganismgroup.basalareafactor AND
  stratumvalue.category = stratum._pk_id
    and
  (
  genuspart='Acrachne' or
genuspart='Acroceras' or
genuspart='Agrostis' or
genuspart='Aira' or
genuspart='Airopsis' or
genuspart='Alexfloydia' or
genuspart='Alloteropsis' or
genuspart='Alopecurus' or
genuspart='Amelichloa' or
genuspart='Ammophila' or
genuspart='Amphibromus' or
genuspart='Amphipogon' or
genuspart='Ancistrachne' or
genuspart='Andropogon' or
genuspart='Anisopogon' or
genuspart='Anthoxanthum' or
genuspart='Apera' or
genuspart='Apluda' or
genuspart='Aristida' or
genuspart='Arrhenatherum' or
genuspart='Arthragrostis' or
genuspart='Arthraxon' or
genuspart='Arundinaria' or
genuspart='Arundinella' or
genuspart='Arundo' or
genuspart='Astrebla' or
genuspart='Australopyrum' or
genuspart='Austrochloris' or
genuspart='Austroderia' or
genuspart='Austrostipa' or
genuspart='Avellinia' or
genuspart='Avena' or
genuspart='Axonopus' or
genuspart='Bambusa' or
genuspart='Bothriochloa' or
genuspart='Brachyachne' or
genuspart='Brachypodium' or
genuspart='Briza' or
genuspart='Bromus' or
genuspart='Calyptochloa' or
genuspart='Capillipedium' or
genuspart='Catapodium' or
genuspart='Cenchrus' or
genuspart='Centotheca' or
genuspart='Chamaeraphis' or
genuspart='Chimonobambusa' or
genuspart='Chionachne' or
genuspart='Chionochloa' or
genuspart='Chloris' or
genuspart='Chrysopogon' or
genuspart='Clausospicula' or
genuspart='Cleistochloa' or
genuspart='Coelachne' or
genuspart='Coix' or
genuspart='Cortaderia' or
genuspart='Corynephorus' or
genuspart='Crypsis' or
genuspart='Cymbopogon' or
genuspart='Cynodon' or
genuspart='Cynosurus' or
genuspart='Cyperochloa' or
genuspart='Cyrtococcum' or
genuspart='Dactylis' or
genuspart='Dactyloctenium' or
genuspart='Dallwatsonia' or
genuspart='Danthonia' or
genuspart='Deschampsia' or
genuspart='Desmostachya' or
genuspart='Deyeuxia' or
genuspart='Dichanthium' or
genuspart='Dichelachne' or
genuspart='Digitaria' or
genuspart='Dimeria' or
genuspart='Dinebra' or
genuspart='Distichlis' or
genuspart='Dryopoa' or
genuspart='Echinochloa' or
genuspart='Echinopogon' or
genuspart='Ectrosia' or
genuspart='Ehrharta' or
genuspart='Eleusine' or
genuspart='Elionurus' or
genuspart='Elymus' or
genuspart='Elytrigia' or
genuspart='Elytrophorus' or
genuspart='Enneapogon' or
genuspart='Enteropogon' or
genuspart='Entolasia' or
genuspart='Eragrostiella' or
genuspart='Eragrostis' or
genuspart='Eremochloa' or
genuspart='Eriachne' or
genuspart='Eriochloa' or
genuspart='Eulalia' or
genuspart='Eustachys' or
genuspart='Festuca' or
genuspart='Garnotia' or
genuspart='Gastridium' or
genuspart='Gaudinia' or
genuspart='Germainia' or
genuspart='Glyceria' or
genuspart='Hainardia' or
genuspart='Hemarthria' or
genuspart='Hemigymnia' or
genuspart='Heterachne' or
genuspart='Heteropogon' or
genuspart='Hierochloe' or
genuspart='Holcolemma' or
genuspart='Megathyrsus' or
genuspart='Melica' or
genuspart='Melinis' or
genuspart='Micraira' or
genuspart='Microchloa' or
genuspart='Microlaena' or
genuspart='Microstegium' or
genuspart='Miscanthus' or
genuspart='Mnesithea' or
genuspart='Molineriella' or
genuspart='Monachather' or
genuspart='Monodia' or
genuspart='Moorochloa' or
genuspart='Mullerochloa' or
genuspart='Nardus' or
genuspart='Nassella' or
genuspart='Neololeba' or
genuspart='Neurachne' or
genuspart='Notochloe' or
genuspart='Ophiuros' or
genuspart='Oplismenus' or
genuspart='Oryza' or
genuspart='Ottochloa' or
genuspart='Oxychloris' or
genuspart='Panicum' or
genuspart='Paractaenum' or
genuspart='Paraneurachne' or
genuspart='Parapholis' or
genuspart='Paspalidium' or
genuspart='Paspalum' or
genuspart='Pentameris' or
genuspart='Pentapogon' or
genuspart='Pentaschistis' or
genuspart='Perotis' or
genuspart='Phalaris' or
genuspart='Pheidochloa' or
genuspart='Phleum' or
genuspart='Phragmites' or
genuspart='Phyllostachys' or
genuspart='Piptatherum' or
genuspart='Piptochaetium' or
genuspart='Plinthanthesis' or
genuspart='Poa' or
genuspart='Pogonatherum' or
genuspart='Polypogon' or
genuspart='Polytrias' or
genuspart='Potamophila' or
genuspart='Psammagrostis' or
genuspart='Pseudochaetochloa' or
genuspart='Pseudopogonatherum' or
genuspart='Pseudoraphis' or
genuspart='Psilurus' or
genuspart='Puccinellia' or
genuspart='Rostraria' or
genuspart='Rottboellia' or
genuspart='Rytidosperma' or
genuspart='Saccharum' or
genuspart='Sacciolepis' or
genuspart='Saxipoa' or
genuspart='Schismus' or
genuspart='Schizachyrium' or
genuspart='Sclerochloa' or
genuspart='Scrotochloa' or
genuspart='Secale' or
genuspart='Sehima' or
genuspart='Setaria' or
genuspart='Sorghastrum' or
genuspart='Sorghum' or
genuspart='Spartina' or
genuspart='Spartochloa' or
genuspart='Spathia' or
genuspart='Sphenopus' or
genuspart='Spinifex' or
genuspart='Sporobolus' or
genuspart='Steinchisma' or
genuspart='Stenotaphrum' or
genuspart='Sylvipoa' or
genuspart='Symplectrodia' or
genuspart='Taeniatherum' or
genuspart='Tetrarrhena' or
genuspart='Thaumastochloa' or
genuspart='Thedachloa' or
genuspart='Thelepogon' or
genuspart='Thellungia' or
genuspart='Themeda' or
genuspart='Thinopyrum' or
genuspart='Thuarea' or
genuspart='Thyridolepis' or
genuspart='Tragus' or
genuspart='Tribolium' or
genuspart='Triodia' or
genuspart='Tripogon' or
genuspart='Triraphis' or
genuspart='Trisetum' or
genuspart='Triticum' or
genuspart='Uranthoecium' or
genuspart='Urochloa' or
genuspart='Vulpia' or
genuspart='Walwhalleya' or
genuspart='Whiteochloa' or
genuspart='x Cynochloris' or
genuspart='Xerochloa' or
genuspart='Yakirra' or
genuspart='Zea' or
genuspart='Zoysia' or
genuspart='Zuloagaea' or
genuspart='Zygochloa' );
